# KernelImpl Class Reference

A KernelImpl defines the internal implementation of a Kernel object. More...

`#include <KernelImpl.h>`

List of all members.

## Public Member Functions
| KernelImpl (std::string name, const Platform &platform)
| Create a KernelImpl.
virtual | ~KernelImpl ()
std::string | getName () const
| Get the name of this kernel.
const Platform & | getPlatform ()
| Get the Platform that created this KernelImpl.
## Friends
class | Kernel

## Detailed Description

A KernelImpl defines the internal implementation of a Kernel object.

A subclass will typically declare an abstract execute() method which defines the API for executing the kernel. Other classes will in turn subclass it and provide concrete implementations of the execute() method.

## Constructor & Destructor Documentation

KernelImpl | ( | std::string | name,
|  | const Platform & | platform |
| ) |  |  |

Create a KernelImpl.

Parameters:

  | name | the name of the kernel to create
  | platform | the Platform that created this kernel

virtual ~KernelImpl | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

std::string getName | ( |  | ) | const

Get the name of this kernel.

Referenced by Kernel::getName().

const Platform & getPlatform | ( |  | ) |

Get the Platform that created this KernelImpl.

## Friends And Related Function Documentation

friend class Kernel`[friend]`

The documentation for this class was generated from the following files:

- KernelImpl.h
- KernelImpl.cpp